/// <reference types="q" />
import * as plugins from "./smartnginx.plugins";
import { NginxZone } from "./smartnginx.classes.nginxzone";
export declare class NginxConfig {
    zones: NginxZone[];
    cert: plugins.cert.Cert;
    isDeployed: boolean;
    constructor(optionsArg: plugins.cert.CertConstructorOptions);
    addZone(zoneArg: NginxZone): void;
    listZones(): NginxZone[];
    removeZones(zoneArg: NginxZone): void;
    deploy(nginxRestartArg?: boolean): plugins.q.Promise<{}>;
}
